diff --git a/android/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java b/android/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
index 2ae8144..d7a449f 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheBuilderGwtTest.java
@@ -16,10 +16,6 @@
 
 package com.google.common.cache;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.FakeTicker;
 import java.util.HashSet;
 import java.util.Iterator;
@@ -37,7 +33,6 @@ import junit.framework.TestCase;
  *
  * @author Jon Donovan
  */
-@GwtCompatible
 public class CacheBuilderGwtTest extends TestCase {
 
   private FakeTicker fakeTicker;
diff --git a/android/guava-tests/test/com/google/common/cache/CacheBuilderTest.java b/android/guava-tests/test/com/google/common/cache/CacheBuilderTest.java
index 1a9faee..56b36a6 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheBuilderTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheBuilderTest.java
@@ -27,8 +27,6 @@ import static java.util.concurrent.TimeUnit.MILLISECONDS;
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ticker;
 import com.google.common.cache.TestingRemovalListeners.CountingRemovalListener;
 import com.google.common.cache.TestingRemovalListeners.QueuingRemovalListener;
@@ -47,7 +45,6 @@ import java.util.concurrent.atomic.AtomicInteger;
 import junit.framework.TestCase;
 
 /** Unit tests for CacheBuilder. */
-@GwtCompatible(emulated = true)
 public class CacheBuilderTest extends TestCase {
 
   public void testNewBuilder() {
@@ -79,7 +76,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // CacheTesting
+  // CacheTesting
   public void testInitialCapacity_small() {
     LoadingCache<?, ?> cache = CacheBuilder.newBuilder().initialCapacity(5).build(identityLoader());
     LocalCache<?, ?> map = CacheTesting.toLocalCache(cache);
@@ -91,7 +88,7 @@ public class CacheBuilderTest extends TestCase {
     assertEquals(2, map.segments[3].table.length());
   }
 
-  @GwtIncompatible // CacheTesting
+  // CacheTesting
   public void testInitialCapacity_smallest() {
     LoadingCache<?, ?> cache = CacheBuilder.newBuilder().initialCapacity(0).build(identityLoader());
     LocalCache<?, ?> map = CacheTesting.toLocalCache(cache);
@@ -129,7 +126,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // CacheTesting
+  // CacheTesting
   public void testConcurrencyLevel_small() {
     LoadingCache<?, ?> cache =
         CacheBuilder.newBuilder().concurrencyLevel(1).build(identityLoader());
@@ -161,7 +158,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // maximumWeight
+  // maximumWeight
   public void testMaximumSize_andWeight() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder().maximumSize(16);
     try {
@@ -171,7 +168,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // digs into internals of the non-GWT implementation
+  // digs into internals of the non-GWT implementation
   public void testMaximumSize_largerThanInt() {
     CacheBuilder<Object, Object> builder =
         CacheBuilder.newBuilder().initialCapacity(512).maximumSize(Long.MAX_VALUE);
@@ -179,7 +176,7 @@ public class CacheBuilderTest extends TestCase {
     assertThat(cache.segments.length * cache.segments[0].table.length()).isEqualTo(512);
   }
 
-  @GwtIncompatible // maximumWeight
+  // maximumWeight
   public void testMaximumWeight_negative() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder();
     try {
@@ -189,7 +186,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // maximumWeight
+  // maximumWeight
   public void testMaximumWeight_setTwice() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder().maximumWeight(16);
     try {
@@ -205,7 +202,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // maximumWeight
+  // maximumWeight
   public void testMaximumWeight_withoutWeigher() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder().maximumWeight(1);
     try {
@@ -215,7 +212,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // weigher
+  // weigher
   public void testWeigher_withoutMaximumWeight() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder().weigher(constantWeigher(42));
     try {
@@ -225,7 +222,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // weigher
+  // weigher
   public void testWeigher_withMaximumSize() {
     try {
       CacheBuilder.newBuilder().weigher(constantWeigher(42)).maximumSize(1);
@@ -239,7 +236,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // weakKeys
+  // weakKeys
   public void testKeyStrengthSetTwice() {
     CacheBuilder<Object, Object> builder1 = CacheBuilder.newBuilder().weakKeys();
     try {
@@ -249,7 +246,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // weakValues
+  // weakValues
   public void testValueStrengthSetTwice() {
     CacheBuilder<Object, Object> builder1 = CacheBuilder.newBuilder().weakValues();
     try {
@@ -337,7 +334,7 @@ public class CacheBuilderTest extends TestCase {
     // well, it didn't blow up.
   }
 
-  @GwtIncompatible // refreshAfterWrite
+  // refreshAfterWrite
   public void testRefresh_zero() {
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder();
     try {
@@ -347,7 +344,7 @@ public class CacheBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // refreshAfterWrite
+  // refreshAfterWrite
   public void testRefresh_setTwice() {
     CacheBuilder<Object, Object> builder =
         CacheBuilder.newBuilder().refreshAfterWrite(3600, SECONDS);
@@ -385,7 +382,7 @@ public class CacheBuilderTest extends TestCase {
     assertFalse(CacheBuilder.newBuilder().build().asMap().values() instanceof Set);
   }
 
-  @GwtIncompatible // CacheTesting
+  // CacheTesting
   public void testNullCache() {
     CountingRemovalListener<Object, Object> listener = countingRemovalListener();
     LoadingCache<Object, Object> nullCache =
@@ -398,7 +395,7 @@ public class CacheBuilderTest extends TestCase {
     CacheTesting.checkEmpty(nullCache.asMap());
   }
 
-  @GwtIncompatible // QueuingRemovalListener
+  // QueuingRemovalListener
 
   public void testRemovalNotification_clear() throws InterruptedException {
     // If a clear() happens while a computation is pending, we should not get a removal
@@ -469,7 +466,7 @@ public class CacheBuilderTest extends TestCase {
    * removal listener), or else is not affected by the {@code clear()} (and therefore exists in the
    * cache afterward).
    */
-  @GwtIncompatible // QueuingRemovalListener
+  // QueuingRemovalListener
 
   public void testRemovalNotification_clear_basher() throws InterruptedException {
     // If a clear() happens close to the end of computation, one of two things should happen:
@@ -553,7 +550,7 @@ public class CacheBuilderTest extends TestCase {
    * Calls get() repeatedly from many different threads, and tests that all of the removed entries
    * (removed because of size limits or expiration) trigger appropriate removal notifications.
    */
-  @GwtIncompatible // QueuingRemovalListener
+  // QueuingRemovalListener
 
   public void testRemovalNotification_get_basher() throws InterruptedException {
     int nTasks = 1000;
@@ -633,14 +630,14 @@ public class CacheBuilderTest extends TestCase {
     assertEquals(computeCount.get(), cache.size() + removalListener.size());
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullParameters() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     CacheBuilder<Object, Object> builder = CacheBuilder.newBuilder();
     tester.testAllPublicInstanceMethods(builder);
   }
 
-  @GwtIncompatible // CacheTesting
+  // CacheTesting
   public void testSizingDefaults() {
     LoadingCache<?, ?> cache = CacheBuilder.newBuilder().build(identityLoader());
     LocalCache<?, ?> map = CacheTesting.toLocalCache(cache);
@@ -648,7 +645,7 @@ public class CacheBuilderTest extends TestCase {
     assertEquals(4, map.segments[0].table.length()); // capacity / conc level
   }
 
-  @GwtIncompatible // CountDownLatch
+  // CountDownLatch
   static final class DelayingIdentityLoader<T> extends CacheLoader<T, T> {
     private final AtomicBoolean shouldWait;
     private final CountDownLatch delayLatch;
diff --git a/android/guava-tests/test/com/google/common/cache/CacheLoaderTest.java b/android/guava-tests/test/com/google/common/cache/CacheLoaderTest.java
index e078ddd..4c14b92 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheLoaderTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheLoaderTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.cache;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Queues;
 import com.google.common.util.concurrent.Futures;
 import com.google.common.util.concurrent.ListenableFuture;
diff --git a/android/guava-tests/test/com/google/common/cache/CacheLoadingTest.java b/android/guava-tests/test/com/google/common/cache/CacheLoadingTest.java
index f5ea546..fdeee8f 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheLoadingTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheLoadingTest.java
@@ -29,8 +29,6 @@ import com.google.common.cache.CacheLoader.InvalidCacheLoadException;
 import com.google.common.cache.TestingCacheLoaders.CountingLoader;
 import com.google.common.cache.TestingCacheLoaders.IdentityLoader;
 import com.google.common.cache.TestingRemovalListeners.CountingRemovalListener;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
 import com.google.common.testing.FakeTicker;
@@ -41,7 +39,6 @@ import com.google.common.util.concurrent.Futures;
 import com.google.common.util.concurrent.ListenableFuture;
 import com.google.common.util.concurrent.UncheckedExecutionException;
 import java.io.IOException;
-import java.lang.ref.WeakReference;
 import java.util.List;
 import java.util.Map;
 import java.util.Map.Entry;
diff --git a/android/guava-tests/test/com/google/common/cache/CacheManualTest.java b/android/guava-tests/test/com/google/common/cache/CacheManualTest.java
index abe0b15..0ee764a 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheManualTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheManualTest.java
@@ -16,8 +16,6 @@ package com.google.common.cache;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import junit.framework.TestCase;
 
 /** @author Charles Fry */
diff --git a/android/guava-tests/test/com/google/common/cache/CacheReferencesTest.java b/android/guava-tests/test/com/google/common/cache/CacheReferencesTest.java
index 1fe2636..da63939 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheReferencesTest.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheReferencesTest.java
@@ -21,9 +21,7 @@ import static com.google.common.truth.Truth.assertThat;
 import com.google.common.base.Function;
 import com.google.common.cache.LocalCache.Strength;
 import com.google.common.cache.TestingRemovalListeners.CountingRemovalListener;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
-import java.lang.ref.WeakReference;
 import junit.framework.TestCase;
 
 /**
diff --git a/android/guava-tests/test/com/google/common/cache/CacheTesting.java b/android/guava-tests/test/com/google/common/cache/CacheTesting.java
index 255a894..affe7eb 100644
--- a/android/guava-tests/test/com/google/common/cache/CacheTesting.java
+++ b/android/guava-tests/test/com/google/common/cache/CacheTesting.java
@@ -28,9 +28,6 @@ import com.google.common.base.Preconditions;
 import com.google.common.cache.LocalCache.LocalLoadingCache;
 import com.google.common.cache.LocalCache.Segment;
 import com.google.common.cache.LocalCache.ValueReference;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Maps;
 import com.google.common.collect.Sets;
 import com.google.common.testing.EqualsTester;
@@ -44,7 +41,6 @@ import java.util.Set;
 import java.util.concurrent.ConcurrentMap;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.atomic.AtomicReferenceArray;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * A collection of utilities for {@link Cache} testing.
diff --git a/android/guava-tests/test/com/google/common/cache/EmptyCachesTest.java b/android/guava-tests/test/com/google/common/cache/EmptyCachesTest.java
index a5e3a59..8e2f58b 100644
--- a/android/guava-tests/test/com/google/common/cache/EmptyCachesTest.java
+++ b/android/guava-tests/test/com/google/common/cache/EmptyCachesTest.java
@@ -23,7 +23,6 @@ import static java.util.concurrent.TimeUnit.SECONDS;
 import com.google.common.base.Function;
 import com.google.common.cache.CacheBuilderFactory.DurationSpec;
 import com.google.common.cache.LocalCache.Strength;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Maps;
 import com.google.common.testing.EqualsTester;
diff --git a/android/guava-tests/test/com/google/common/cache/ForwardingCacheTest.java b/android/guava-tests/test/com/google/common/cache/ForwardingCacheTest.java
index 412ff78..3ca6775 100644
--- a/android/guava-tests/test/com/google/common/cache/ForwardingCacheTest.java
+++ b/android/guava-tests/test/com/google/common/cache/ForwardingCacheTest.java
@@ -20,8 +20,6 @@ import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
 import static org.mockito.Mockito.when;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import java.util.concurrent.ExecutionException;
 import junit.framework.TestCase;
 
diff --git a/android/guava-tests/test/com/google/common/cache/ForwardingLoadingCacheTest.java b/android/guava-tests/test/com/google/common/cache/ForwardingLoadingCacheTest.java
index d78db2d..097107d 100644
--- a/android/guava-tests/test/com/google/common/cache/ForwardingLoadingCacheTest.java
+++ b/android/guava-tests/test/com/google/common/cache/ForwardingLoadingCacheTest.java
@@ -20,8 +20,6 @@ import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
 import static org.mockito.Mockito.when;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import java.util.concurrent.ExecutionException;
 import junit.framework.TestCase;
 
diff --git a/android/guava-tests/test/com/google/common/cache/LocalCacheTest.java b/android/guava-tests/test/com/google/common/cache/LocalCacheTest.java
index 3c4529c..60aa880 100644
--- a/android/guava-tests/test/com/google/common/cache/LocalCacheTest.java
+++ b/android/guava-tests/test/com/google/common/cache/LocalCacheTest.java
@@ -44,9 +44,6 @@ import com.google.common.cache.LocalCache.ValueReference;
 import com.google.common.cache.TestingCacheLoaders.CountingLoader;
 import com.google.common.cache.TestingRemovalListeners.CountingRemovalListener;
 import com.google.common.cache.TestingRemovalListeners.QueuingRemovalListener;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Maps;
 import com.google.common.collect.testing.ConcurrentMapTestSuiteBuilder;
diff --git a/android/guava-tests/test/com/google/common/cache/LocalLoadingCacheTest.java b/android/guava-tests/test/com/google/common/cache/LocalLoadingCacheTest.java
index 8ba9dbc..435d709 100644
--- a/android/guava-tests/test/com/google/common/cache/LocalLoadingCacheTest.java
+++ b/android/guava-tests/test/com/google/common/cache/LocalLoadingCacheTest.java
@@ -23,8 +23,6 @@ import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.cache.LocalCache.LocalLoadingCache;
 import com.google.common.cache.LocalCache.Segment;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.NullPointerTester;
 import java.lang.Thread.UncaughtExceptionHandler;
 import java.util.Map;
diff --git a/android/guava-tests/test/com/google/common/cache/PopulatedCachesTest.java b/android/guava-tests/test/com/google/common/cache/PopulatedCachesTest.java
index b02b8ac..5346d10 100644
--- a/android/guava-tests/test/com/google/common/cache/PopulatedCachesTest.java
+++ b/android/guava-tests/test/com/google/common/cache/PopulatedCachesTest.java
@@ -24,8 +24,6 @@ import static java.util.concurrent.TimeUnit.SECONDS;
 import com.google.common.base.Function;
 import com.google.common.cache.CacheBuilderFactory.DurationSpec;
 import com.google.common.cache.LocalCache.Strength;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Iterators;
 import com.google.common.collect.Lists;
diff --git a/android/guava-tests/test/com/google/common/cache/TestingCacheLoaders.java b/android/guava-tests/test/com/google/common/cache/TestingCacheLoaders.java
index 8507e68..593e3d6 100644
--- a/android/guava-tests/test/com/google/common/cache/TestingCacheLoaders.java
+++ b/android/guava-tests/test/com/google/common/cache/TestingCacheLoaders.java
@@ -16,21 +16,17 @@ package com.google.common.cache;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Maps;
 import com.google.common.util.concurrent.Futures;
 import com.google.common.util.concurrent.ListenableFuture;
 import java.util.Map;
 import java.util.concurrent.atomic.AtomicInteger;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Utility {@link CacheLoader} implementations intended for use in testing.
  *
  * @author mike nonemacher
  */
-@GwtCompatible(emulated = true)
 class TestingCacheLoaders {
 
   /**
@@ -140,7 +136,7 @@ class TestingCacheLoaders {
       return key;
     }
 
-    @GwtIncompatible // reload
+    // reload
     @Override
     public ListenableFuture<Integer> reload(Integer key, Integer oldValue) {
       countReload.incrementAndGet();
diff --git a/android/guava-tests/test/com/google/common/cache/TestingRemovalListeners.java b/android/guava-tests/test/com/google/common/cache/TestingRemovalListeners.java
index 698467f..b8c10af 100644
--- a/android/guava-tests/test/com/google/common/cache/TestingRemovalListeners.java
+++ b/android/guava-tests/test/com/google/common/cache/TestingRemovalListeners.java
@@ -14,8 +14,6 @@
 
 package com.google.common.cache;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.util.concurrent.ConcurrentLinkedQueue;
 import java.util.concurrent.atomic.AtomicInteger;
 
@@ -24,7 +22,6 @@ import java.util.concurrent.atomic.AtomicInteger;
  *
  * @author mike nonemacher
  */
-@GwtCompatible(emulated = true)
 class TestingRemovalListeners {
 
   /** Returns a new no-op {@code RemovalListener}. */
@@ -33,7 +30,7 @@ class TestingRemovalListeners {
   }
 
   /** Type-inferring factory method for creating a {@link QueuingRemovalListener}. */
-  @GwtIncompatible // ConcurrentLinkedQueue
+  // ConcurrentLinkedQueue
   static <K, V> QueuingRemovalListener<K, V> queuingRemovalListener() {
     return new QueuingRemovalListener<>();
   }
@@ -44,7 +41,7 @@ class TestingRemovalListeners {
   }
 
   /** {@link RemovalListener} that adds all {@link RemovalNotification} objects to a queue. */
-  @GwtIncompatible // ConcurrentLinkedQueue
+  // ConcurrentLinkedQueue
   static class QueuingRemovalListener<K, V> extends ConcurrentLinkedQueue<RemovalNotification<K, V>>
       implements RemovalListener<K, V> {
 
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractImmutableSetTest.java b/android/guava-tests/test/com/google/common/collect/AbstractImmutableSetTest.java
index d7a8d16..353bf8e 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractImmutableSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractImmutableSetTest.java
@@ -20,8 +20,6 @@ import static com.google.common.collect.testing.IteratorFeature.UNMODIFIABLE;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.IteratorTester;
 import com.google.common.collect.testing.MinimalCollection;
@@ -40,7 +38,6 @@ import junit.framework.TestCase;
  * @author Kevin Bourrillion
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public abstract class AbstractImmutableSetTest extends TestCase {
 
   protected abstract <E extends Comparable<? super E>> Set<E> of();
@@ -279,7 +276,7 @@ public abstract class AbstractImmutableSetTest extends TestCase {
     assertEquals("[a, b, c, d, e, f, g]", set.toString());
   }
 
-  @GwtIncompatible // slow (~40s)
+  // slow (~40s)
   public void testIterator_oneElement() {
     new IteratorTester<String>(
         5, UNMODIFIABLE, Collections.singleton("a"), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -290,7 +287,7 @@ public abstract class AbstractImmutableSetTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~30s)
+  // slow (~30s)
   public void testIterator_general() {
     new IteratorTester<String>(
         5, UNMODIFIABLE, asList("a", "b", "c"), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -476,7 +473,7 @@ public abstract class AbstractImmutableSetTest extends TestCase {
    */
   // TODO(benyu): turn this into a test once all copyOf(Collection) are
   // thread-safe
-  @GwtIncompatible // GWT is single threaded
+  // GWT is single threaded
   void verifyThreadSafe() {
     List<String> sample = Lists.newArrayList("a", "b", "c");
     for (int delta : new int[] {-1, 0, 1}) {
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractImmutableTableTest.java b/android/guava-tests/test/com/google/common/collect/AbstractImmutableTableTest.java
index ffff9f5..cfc5a3e 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractImmutableTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractImmutableTableTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -24,7 +23,6 @@ import junit.framework.TestCase;
  *
  * @author Gregory Kick
  */
-@GwtCompatible
 public abstract class AbstractImmutableTableTest extends TestCase {
 
   abstract Iterable<ImmutableTable<Character, Integer, String>> getTestInstances();
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractIteratorTest.java b/android/guava-tests/test/com/google/common/collect/AbstractIteratorTest.java
index 3592210..1d65ebc 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractIteratorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractIteratorTest.java
@@ -16,10 +16,7 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.GcFinalization;
-import java.lang.ref.WeakReference;
 import java.util.Iterator;
 import java.util.NoSuchElementException;
 import junit.framework.TestCase;
@@ -30,7 +27,6 @@ import junit.framework.TestCase;
  * @author Kevin Bourrillion
  */
 @SuppressWarnings("serial") // No serialization is used in this test
-@GwtCompatible(emulated = true)
 public class AbstractIteratorTest extends TestCase {
 
   public void testDefaultBehaviorOfNextAndHasNext() {
@@ -138,7 +134,7 @@ public class AbstractIteratorTest extends TestCase {
   }
 
 
-  @GwtIncompatible // weak references
+  // weak references
   public void testFreesNextReference() {
     Iterator<Object> itr =
         new AbstractIterator<Object>() {
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractMapEntryTest.java b/android/guava-tests/test/com/google/common/collect/AbstractMapEntryTest.java
index 11c66a7..d01a41a 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractMapEntryTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractMapEntryTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Map.Entry;
 import junit.framework.TestCase;
@@ -26,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Mike Bostock
  */
-@GwtCompatible
 public class AbstractMapEntryTest extends TestCase {
   private static final String NK = null;
   private static final Integer NV = null;
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractMultimapAsMapImplementsMapTest.java b/android/guava-tests/test/com/google/common/collect/AbstractMultimapAsMapImplementsMapTest.java
index 3e41dec..9330ab0 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractMultimapAsMapImplementsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractMultimapAsMapImplementsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MapInterfaceTest;
 import java.util.Collection;
 import java.util.Map;
@@ -27,7 +26,6 @@ import java.util.Map;
  * @author George van den Driessche
  * @author Jared Levy
  */
-@GwtCompatible
 public abstract class AbstractMultimapAsMapImplementsMapTest
     extends MapInterfaceTest<String, Collection<Integer>> {
 
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractRangeSetTest.java b/android/guava-tests/test/com/google/common/collect/AbstractRangeSetTest.java
index e53bea1..830462a 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractRangeSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractRangeSetTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.Iterator;
 import java.util.List;
 import java.util.NoSuchElementException;
@@ -25,7 +24,7 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible // TreeRangeSet
+// TreeRangeSet
 public abstract class AbstractRangeSetTest extends TestCase {
   public static void testInvariants(RangeSet<?> rangeSet) {
     testInvariantsInternal(rangeSet);
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractSequentialIteratorTest.java b/android/guava-tests/test/com/google/common/collect/AbstractSequentialIteratorTest.java
index c0b7d91..c82360d 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractSequentialIteratorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractSequentialIteratorTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.collect.testing.IteratorFeature.UNMODIFIABLE;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.IteratorTester;
 import java.util.Iterator;
 import java.util.NoSuchElementException;
@@ -28,9 +26,8 @@ import junit.framework.AssertionFailedError;
 import junit.framework.TestCase;
 
 /** Tests for {@link AbstractSequentialIterator}. */
-@GwtCompatible(emulated = true)
 public class AbstractSequentialIteratorTest extends TestCase {
-  @GwtIncompatible // Too slow
+  // Too slow
   public void testDoublerExhaustive() {
     new IteratorTester<Integer>(
         3, UNMODIFIABLE, ImmutableList.of(1, 2), IteratorTester.KnownOrder.KNOWN_ORDER) {
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractTableReadTest.java b/android/guava-tests/test/com/google/common/collect/AbstractTableReadTest.java
index 67d44cb..da0819b 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractTableReadTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractTableReadTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
@@ -30,7 +28,6 @@ import junit.framework.TestCase;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public abstract class AbstractTableReadTest extends TestCase {
   protected Table<String, Integer, Character> table;
 
@@ -184,7 +181,7 @@ public abstract class AbstractTableReadTest extends TestCase {
     assertThat(table.columnKeySet()).containsExactly(1, 2, 3);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerInstance() {
     table = create("foo", 1, 'a', "bar", 1, 'b', "foo", 2, 'c', "bar", 3, 'd');
     new NullPointerTester().testAllPublicInstanceMethods(table);
diff --git a/android/guava-tests/test/com/google/common/collect/AbstractTableTest.java b/android/guava-tests/test/com/google/common/collect/AbstractTableTest.java
index f634b6a..02ec0a1 100644
--- a/android/guava-tests/test/com/google/common/collect/AbstractTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/AbstractTableTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkArgument;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Map;
 
 /**
@@ -27,7 +26,6 @@ import java.util.Map;
  * @author Jared Levy
  * @author Louis Wasserman
  */
-@GwtCompatible
 public abstract class AbstractTableTest extends AbstractTableReadTest {
 
   protected void populate(Table<String, Integer, Character> table, Object... data) {
